package es.epinanab.mapa2;

import android.app.Activity;
import android.location.Location;
import android.os.Bundle;
import android.widget.Toast;
import com.google.android.gms.maps.CameraUpdate;
import com.google.android.gms.maps.CameraUpdateFactory;
import com.google.android.gms.maps.GoogleMap;
import com.google.android.gms.maps.GoogleMap.OnMyLocationChangeListener;
import com.google.android.gms.maps.MapFragment;
import com.google.android.gms.maps.model.LatLng;

public class MainActivity extends Activity {

	// variable GLOBAL para el control del mapa
	public GoogleMap mapa;

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);

		// Obtenemos una referencia al control GoogleMap
		mapa = ((MapFragment) getFragmentManager().findFragmentById(R.id.map))
				.getMap();

		// Asigno una vista al mapa
		mapa.setMapType(GoogleMap.MAP_TYPE_SATELLITE);

		// Activo mi localizacion en el mapa
		mapa.setMyLocationEnabled(true);
		
		// Asigno un nivel de zoom
		CameraUpdate ZoomCam = CameraUpdateFactory.zoomTo(14);
		mapa.animateCamera(ZoomCam);

		// Establezco un listener para "escuchar" cuando hay cambios de posicion
		mapa.setOnMyLocationChangeListener(new OnMyLocationChangeListener() {

			public void onMyLocationChange(Location pos) {
				// TODO Auto-generated method stub

				// Extraigo la Lat y Lon del Listener
				double lat = pos.getLatitude();
				double lon = pos.getLongitude();

				// Muevo la camara a mi posicion usando Lat y Lon
				CameraUpdate cam = CameraUpdateFactory.newLatLng(new LatLng(lat, lon));
				mapa.animateCamera(cam);

				// Notifico con un mensaje al usuario de su Lat y Lon
				Toast.makeText(MainActivity.this,
						"Lat: " + lat + "\nLon: " + lon, Toast.LENGTH_SHORT)
						.show();
			}
		});

	}

}
